<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.QuestionmarkMapper">

    <resultMap id="questionmarkMap" type="com.tofly.xrtygis.entity.Questionmark">
        <id property="id" column="ID"/>
        <result property="caption" column="CAPTION"/>
        <result property="fileId" column="FILE_ID"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createDate" column="CREATE_DATE"/>
        <result property="wkid" column="WKID"/>
        <result property="x" column="X"/>
        <result property="y" column="Y"/>
        <result property="scale" column="SCALE"/>
        <result property="status" column="STATUS"/>
        <result property="handleUser" column="HANDLE_USER"/>
        <result property="handleDate" column="HANDLE_DATE"/>
        <result property="notes" column="NOTES"/>
        <result property="handleCaption" column="HANDLE_CAPTION"/>
        <association property="handleUserName" column="HANDLE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
        <association property="filePath" column="FILE_ID"
                     select="com.tofly.xrtygis.mapper.FileMapper.getPath"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
    </resultMap>


</mapper>
